package com.rjconsultores.ventaboletos.dao.util;

import java.io.Serializable;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.hibernate.HibernateException;
import org.hibernate.engine.SessionImplementor;
import org.hibernate.id.IdentifierGenerator;

/**
 * Trata a geração do ID da tipo parada data tabela tipo parada
 * 
 * @author Wallace
 */
public class TipoParadaGenerator implements IdentifierGenerator {

	private static final Logger log = LogManager.getLogger(TipoParadaGenerator.class);

	@Override
	public Short generate(SessionImplementor session, Object object) throws HibernateException {
		log.info("Inicio geração IdTipoParada");
		Serializable nextId = IdTipoParadaStore.getInstance().getNextId(session.connection());
		log.info("Fim geração IdTipoParada:" + nextId);
		return Short.parseShort(nextId.toString());
	}
}
